-- Customer specific once-script PCHW1.
--
-- (c) 2015 Facilitor bv
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xPCHW1.lst
SET DEFINE OFF

CREATE TABLE pchw_imp_storing_regime
(
  r_codering             VARCHAR2(100),
  omschrijving           VARCHAR2(100),
  ruimten                VARCHAR2(100),
  storing_os             VARCHAR2(100),
  stdmelding             VARCHAR2(100),
  vakgroep               VARCHAR2(100),
  vakgroeptype           VARCHAR2(100),
  tht_os                 VARCHAR2(100),
  tht                    VARCHAR2(100),
  tht_eenheid            VARCHAR2(100),
  bk                     VARCHAR2(100),
  vk                     VARCHAR2(100),
  alg_srtruimte_key      NUMBER,
  mld_stdmelding_key     NUMBER,
  mld_discipline_key     NUMBER,
  ins_srtdiscipline_key  NUMBER
);

CREATE TABLE pchw_imp_kenmerken
(
   mld_stdmelding_key         NUMBER,
   fac_usrtab_omschrijving    VARCHAR (30),
   fac_usrdata_omschrijving   VARCHAR (60)
);


CREATE TABLE pchw_monitoring
(
   melding_key        NUMBER (10),
   afw                VARCHAR2 (10),
   indult             VARCHAR2 (3),
   respijt            VARCHAR2 (50),
   locatie            VARCHAR2 (10),
   gebouw             VARCHAR2 (30),
   verdieping         NUMBER (3),
   ruimte             VARCHAR2 (50),
   omschrijving       VARCHAR2 (60),
   begin              DATE,
   gereed             DATE,
   verwerkt           DATE,
   thtijdstip         DATE,
   eenheid            VARCHAR2 (1),
   tht                NUMBER (10, 5),
   wht                NUMBER (10, 5),
   wht_tht            NUMBER (10, 5),
   regime             NUMBER (3),
   groep              VARCHAR2 (30),
   typekorting        VARCHAR2 (4),
   basiskorting       NUMBER (8),
   variabelekorting   NUMBER (8),
   dienst             VARCHAR2 (60),
   stdmelding_key     NUMBER (10),
   wegingsfactor      NUMBER (10),
   totaal             NUMBER (10, 2),
   totaal_index       NUMBER (10, 2),
   kinderen           VARCHAR2 (1000),
   export_datum       DATE,
   overlappend        VARCHAR2 (100),
   prs_bedrijf_naam   VARCHAR2 (60),
   hgh_melding        NUMBER (1),
   melding_omschrijving VARCHAR2 (4000),
   melding_opmerking    VARCHAR2 (4000)
);

COMMIT;
BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF
@pchw.sql
